[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# PasswordBox

Displays a Password prompt with input masking.

## Declaration

Source position: dialogs.pp line 929

`function PasswordBox(`
`const ACaption: string;`
`const APrompt: string`
`):string;`

## Arguments

`ACaption` |  | The caption for the dialog.
`APrompt` |  | A prompt to ask for the users input.

## Function result

The string the user entered.

## Description

PasswordBox is a specialized form of InputQuery. The editbox on the dialog box will mask the input. The only parameters are aCaption and aPrompt.

Behaves very similarly to the InputQuery function with MaskInput set to True; the difference is that the password that was typed in is returned as the result of the function (like InputBox).

## See also

InputQuery |  | Use InputQuery to show a dialog box to get input from the user.
InputBox |  | Displays a box with specified title and prompt, and accepts user input in a text box.